# cargopacket_sl.cpp File Reference

Code handling saving and loading of cargo packets. More...

`#include "../stdafx.h"`
`#include "../vehicle_base.h"`
`#include "../station_base.h"`
`#include "saveload.h"`

Go to the source code of this file.

## Functions

const SaveLoad * | GetCargoPacketDesc ()
| Wrapper function to get the CargoPacket's internal structure while some of the variables itself are private.
static void | Save_CAPA ()
static void | Load_CAPA ()

## Variables

const ChunkHandler | _cargopacket_chunk_handlers []

## Detailed Description

Code handling saving and loading of cargo packets.

Definition in file cargopacket_sl.cpp.

## Function Documentation

const SaveLoad* GetCargoPacketDesc | ( |  | ) | `[read]`

Wrapper function to get the CargoPacket's internal structure while some of the variables itself are private.

We want this to be saved, right?

Returns:
  the saveload description for CargoPackets.

Definition at line 84 of file cargopacket_sl.cpp.

References CargoPacket::count, CargoPacket::days_in_transit, CargoPacket::feeder_share, CargoPacket::loaded_at_xy, CargoPacket::source, CargoPacket::source_id, CargoPacket::source_type, and CargoPacket::source_xy.

## Variable Documentation

const ChunkHandler _cargopacket_chunk_handlers[]

Initial value:

     {
      { 'CAPA', Save_CAPA, Load_CAPA, NULL, CH_ARRAY | CH_LAST},
    }